Cancel order by order ID - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Cancel order by order ID

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/orders/{orderId}/actions/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "reasonCode": "Incorrect order",
  "attributes": {
    "isPerishable": "false"
  },
  "employeeId": "12312232",
  "items": [\
    {\
      "itemUnitNumber": 1,\
      "lineItemId": "12",\
      "quantity": 1,\
      "attributes": {\
        "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
      },\
      "reasonCode": "Incorrect item",\
      "subReasonCode": "Not the right color"\
    }\
  ],
  "note": "This is a note",
  "policyCode": "RC1",
  "releaseSoftReservation": true,
  "source": "CSR",
  "subReasonCode": "Incorrect specification",
  "requestContext": {
    "id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
    "type": "<string>",
    "requestTime": "2022-04-12T09:30:31.198Z",
    "attributes": {
      "attribute": "N",
      "someFlag": true
    }
  }
}
'
import requests

url = "https://api.fabric.inc/v3/orders/{orderId}/actions/cancel"

payload = {
    "reasonCode": "Incorrect order",
    "attributes": { "isPerishable": "false" },
    "employeeId": "12312232",
    "items": [\
        {\
            "itemUnitNumber": 1,\
            "lineItemId": "12",\
            "quantity": 1,\
            "attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },\
            "reasonCode": "Incorrect item",\
            "subReasonCode": "Not the right color"\
        }\
    ],
    "note": "This is a note",
    "policyCode": "RC1",
    "releaseSoftReservation": True,
    "source": "CSR",
    "subReasonCode": "Incorrect specification",
    "requestContext": {
        "id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
        "type": "<string>",
        "requestTime": "2022-04-12T09:30:31.198Z",
        "attributes": {
            "attribute": "N",
            "someFlag": True
        }
    }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    reasonCode: 'Incorrect order',
    attributes: {isPerishable: 'false'},
    employeeId: '12312232',
    items: [\
      {\
        itemUnitNumber: 1,\
        lineItemId: '12',\
        quantity: 1,\
        attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},\
        reasonCode: 'Incorrect item',\
        subReasonCode: 'Not the right color'\
      }\
    ],
    note: 'This is a note',
    policyCode: 'RC1',
    releaseSoftReservation: true,
    source: 'CSR',
    subReasonCode: 'Incorrect specification',
    requestContext: {
      id: 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
      type: '<string>',
      requestTime: '2022-04-12T09:30:31.198Z',
      attributes: {attribute: 'N', someFlag: true}
    }
  })
};

fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

400

401

404

412

500

{
  "channelId": "12",
  "items": [\
    {\
      "itemId": 1234,\
      "lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",\
      "lineItemNumber": 1,\
      "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "sku": "P1234",\
      "adjustments": [\
        {\
          "adjustmentCounter": 1,\
          "amount": 2.4,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {\
            "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
          },\
          "cancelQuantity": 2,\
          "invoiceQuantity": 10,\
          "notes": "Any additional info",\
          "quantity": 2,\
          "reasonCode": "RFC",\
          "returnQuantity": 1,\
          "subReasonCode": "Late shipping"\
        }\
      ],\
      "appeasementTotal": 5.5,\
      "appeasementTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "appeasements": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "appeasementCounter": 1,\
          "attributes": {\
            "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
          },\
          "invoicedAmount": 34.56,\
          "invoicedAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "payments": [\
            {\
              "paymentCounter": 1,\
              "refundAmount": 34.56,\
              "refundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ]\
            }\
          ],\
          "reasonCode": "Incorrect Item",\
          "refunds": [\
            {\
              "amount": "-10.",\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "Name",\
              "type": "ITEM"\
            }\
          ],\
          "source": "CSR",\
          "subReasonCode": "Late shipping"\
        }\
      ],\
      "attributes": {\
        "colorCode": "001",\
        "isDonation": "false",\
        "style": "570223020"\
      },\
      "backOrderedQuantity": 10,\
      "cancellations": [\
        {\
          "amount": "-20.",\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {},\
          "cancellationCounter": 1,\
          "invoicedAmount": "-20.",\
          "invoicedAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "payments": [\
            {\
              "paymentCounter": 1,\
              "amount": 60,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ]\
            }\
          ],\
          "quantity": 10,\
          "reasonCode": "Order line cancel",\
          "refunds": [\
            {\
              "amount": "-10.",\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "Name",\
              "type": "ITEM"\
            }\
          ],\
          "source": "CSR",\
          "status": "PROCESSING",\
          "subReasonCode": "Late shipping"\
        }\
      ],\
      "cancelledAmount": 12.4,\
      "cancelledAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "cancelledQuantity": 10,\
      "channelId": "WHBM",\
      "currency": "USD",\
      "deliveredQuantity": 10,\
      "discounts": [\
        {\
          "amount": 2.99,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "invoiceQuantity": 10,\
          "promotionCode": "HNY2022",\
          "promotionId": "HNY2022",\
          "promotionName": "New Year",\
          "quantity": 1,\
          "unit": "AMOUNT_OFF",\
          "value": 10\
        }\
      ],\
      "employeeId": "5345HJH",\
      "exchangeQuantity": 13,\
      "fees": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {},\
          "currency": "USD",\
          "invoiceQuantity": 10,\
          "name": "STATE",\
          "quantity": 12,\
          "refundAmount": 21.5,\
          "refundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "taxCode": "FR01"\
        }\
      ],\
      "fulfillment": {\
        "isFulfillable": true,\
        "isInventoryManaged": true,\
        "locationNumber": 123,\
        "shipFromAddress": {\
          "addressLine1": "123 Main St.",\
          "city": "Seattle",\
          "countryCode": "US",\
          "latitude": 47.6205,\
          "longitude": -122.3493,\
          "postalCode": "98121",\
          "region": "WA",\
          "type": "Home",\
          "addressLine2": "Suite 100",\
          "addressLine3": "Seventh floor",\
          "addressLine4": "Attention: Pat E. Kake",\
          "email": "test@example.com",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          }\
        },\
        "trackingDetails": {\
          "trackingNumber": "1ZH4E331YW37690225",\
          "trackingURL": "https://www.ups.com/track?tracknum=1ZH4E331YW37690225"\
        },\
        "attributes": {\
          "attribute1": "value"\
        }\
      },\
      "hasInfiniteConsent": true,\
      "invoiceTotal": 800,\
      "invoiceTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "invoicedQuantity": 10,\
      "isBackorder": true,\
      "isDonation": true,\
      "isExchangeItem": true,\
      "isGifting": true,\
      "isPreorder": true,\
      "isFulfillable": true,\
      "isInventoryManaged": true,\
      "itemAdjustmentTotal": 123.45,\
      "itemAdjustmentTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemDiscountsTotal": 80,\
      "itemDiscountsTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemFeeTotal": 200,\
      "itemFeeTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemName": "Item",\
      "itemShippingTotal": 10,\
      "itemShippingTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemSubtotal": 600,\
      "itemSubtotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemSubtype": "Borderfree",\
      "itemTaxTotal": 80,\
      "itemTaxTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemTotal": 800,\
      "itemTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "itemUnitPrice": 10,\
      "itemUnitPriceInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "lineOrderStatus": "VALID",\
      "notes": [\
        {\
          "createdAt": "2022-05-12T09:30:31.198Z",\
          "notes": "Fragile - handle with care",\
          "user": "62272e917b12209e68751d94"\
        }\
      ],\
      "orderedQuantity": 60,\
      "orderedQuantityToShip": 10,\
      "originalDiscounts": 50,\
      "originalDiscountsInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalFeeTotal": 300,\
      "originalFeeTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalItemAdjustmentTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalItemSubtotal": 800,\
      "originalItemSubtotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalItemTotal": 500,\
      "originalItemTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalOutstandingItemTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalShippingTotal": 80,\
      "originalShippingTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "originalTaxTotal": 90,\
      "originalTaxTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "outstandingItemTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "parentLineItemNumber": 12,\
      "pendingExchangeQuantity": 12,\
      "pendingReturnQuantity": 10,\
      "pendingShippedBackOrderQuantity": 10,\
      "processingReturnQuantity": 10,\
      "quantityInStatus": {\
        "cancelled": 10,\
        "created": 10,\
        "delivered": 10,\
        "hold": 10,\
        "pendingShipped": 10,\
        "returned": 10,\
        "shipped": 10\
      },\
      "refundAmount": 21.5,\
      "refundAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "rejectedReturnQuantity": 10,\
      "reshippedQuantity": 10,\
      "returnedQuantity": 10,\
      "returns": [\
        {\
          "attributes": {\
            "transactionId": "0R12TQ46"\
          },\
          "exchangeLineItemId": "62f3dfc438bcab1951be0a19",\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "invoicedAmount": 11.29,\
          "isExchangeItemReturned": true,\
          "reasonCode": "Incorrect item",\
          "refundAmount": 11.29,\
          "refunds": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "returnRequestCounter": 1,\
          "returnsReceivedAt": "2022-09-14T14:07:36.861Z",\
          "shipmentId": "62b37697c67b204dd18a7465",\
          "shipmentInvoice": {\
            "invoiceId": "62ff5c0bec0aed3c86202c32",\
            "invoiceNumber": "23940791",\
            "invoicedAt": "2022-08-01T20:03:28.483971941Z"\
          },\
          "shipmentLineItemId": "234",\
          "shipmentQuantity": 1,\
          "source": "CSR"\
        }\
      ],\
      "shippedQuantity": 10,\
      "taxCode": "FR01",\
      "taxDetails": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {},\
          "currency": "USD",\
          "name": "STATE",\
          "rate": 10,\
          "rateType": "PERCENTAGE",\
          "taxCode": "FR01"\
        }\
      ],\
      "type": "WEB_SHIP",\
      "uom": "EA",\
      "vendorId": "P1234"\
    }\
  ],
  "orderNumber": "309019176",
  "shipInfo": [\
    {\
      "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "attributes": {\
        "giftMessage": "[]"\
      },\
      "discounts": [\
        {\
          "amount": 2.99,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "promotionCode": "SHIPFREE",\
          "promotionId": "SHIPFREE",\
          "promotionName": "Free Shipping",\
          "quantity": 1,\
          "unit": "AMOUNT_OFF",\
          "value": 10\
        }\
      ],\
      "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",\
      "estimatedShipDate": "2022-05-12T09:30:31.198Z",\
      "isInvoiced": true,\
      "locationNumber": "WH334",\
      "pickups": [\
        {\
          "email": "test@example.com",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          },\
          "pickupType": "PRIMARY"\
        }\
      ],\
      "shipMethod": "Parcel post delivery",\
      "shipToAddress": {\
        "addressLine1": "123 Main St.",\
        "city": "Seattle",\
        "countryCode": "US",\
        "latitude": 47.6205,\
        "longitude": -122.3493,\
        "postalCode": "98121",\
        "region": "WA",\
        "type": "Home",\
        "addressLine2": "Suite 100",\
        "addressLine3": "Seventh floor",\
        "addressLine4": "Attention: Pat E. Kake",\
        "email": "test@example.com",\
        "name": {\
          "firstName": "Alex",\
          "lastName": "Doe",\
          "middleName": "E"\
        },\
        "phone": {\
          "number": "123-456-7890",\
          "type": "MOBILE"\
        }\
      },\
      "shipToDiscount": 12.6,\
      "shipToDiscountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "shipToPrice": 20,\
      "shipToPriceInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "shipToTaxTotal": 12.6,\
      "shipToTaxTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "shipToType": "SHIP_TO_ADDRESS",\
      "shipToUnitPrice": 20,\
      "shipToUnitPriceInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "shipmentInstructions": "Handle with care",\
      "taxCode": "FR01",\
      "taxDetails": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {},\
          "currency": "USD",\
          "name": "STATE",\
          "rate": 10,\
          "rateType": "PERCENTAGE",\
          "taxCode": "FR01"\
        }\
      ]\
    }\
  ],
  "statusCode": "ORDER_CREATED",
  "version": 2,
  "adjustmentTotal": 123.45,
  "adjustmentTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "adjustments": [\
    {\
      "adjustmentCounter": 1,\
      "amount": 2.4,\
      "amountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "attributes": {\
        "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
      },\
      "cancelQuantity": 2,\
      "invoiceQuantity": 10,\
      "notes": "Any additional info",\
      "quantity": 2,\
      "reasonCode": "RFC",\
      "returnQuantity": 1,\
      "subReasonCode": "Late shipping"\
    }\
  ],
  "allocatedAt": "2022-05-12T09:30:31.198Z",
  "appeasementTotal": 12.34,
  "appeasementTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "appeasements": [\
    {\
      "amount": 34.56,\
      "amountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "appeasementCounter": 1,\
      "attributes": {\
        "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
      },\
      "invoicedAmount": 34.56,\
      "invoicedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "payments": [\
        {\
          "paymentCounter": 1,\
          "refundAmount": 34.56,\
          "refundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ]\
        }\
      ],\
      "reasonCode": "Incorrect Item",\
      "refunds": [\
        {\
          "amount": "-10.",\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "name": "Name",\
          "type": "ITEM"\
        }\
      ],\
      "source": "CSR",\
      "subReasonCode": "Late shipping"\
    }\
  ],
  "attributes": {
    "fraudCheckStatus": "UPDATED",
    "loyaltyStatus": "N"
  },
  "auditLogs": [\
    {\
      "amount": 2.4,\
      "attributes": {\
        "key": "value"\
      },\
      "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",\
      "auditType": "CANCEL",\
      "auditedAt": "2023-03-12T09:24:54.804Z",\
      "employeeId": "6227",\
      "isSuccess": true,\
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "lineItemNumber": 1,\
      "note": "Note",\
      "paymentToken": {\
        "paymentType": "VISA",\
        "token": "pi_34tr6787rt"\
      },\
      "policyCode": "POS",\
      "quantity": 1,\
      "reasonCode": "Scratched item",\
      "sku": "SKU0023",\
      "source": "POS",\
      "subReasonCode": "Scratched item",\
      "updatedFields": [\
        {\
          "fieldName": "UOM",\
          "fieldOriginalValue": "PK"\
        }\
      ]\
    }\
  ],
  "cancelTotal": 12.34,
  "cancelTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "cancellations": [\
    {\
      "amount": "-20.",\
      "amountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "attributes": {\
        "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
      },\
      "cancellationCounter": 1,\
      "invoicedAmount": "-20.",\
      "invoicedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "payments": [\
        {\
          "paymentCounter": 1,\
          "amount": 60,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ]\
        }\
      ],\
      "reasonCode": "Order Line Cancel",\
      "refunds": [\
        {\
          "amount": "-10.",\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "name": "Name",\
          "type": "ITEM"\
        }\
      ],\
      "source": "CSR",\
      "status": "PROCESSING",\
      "subReasonCode": "Late shipping"\
    }\
  ],
  "cancelledAt": "2022-05-12T09:30:31.198Z",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "createdAt": "2022-05-12T09:30:31.198Z",
  "currencies": {
    "groups": [\
      {\
        "currency": "USD",\
        "group": "SHOPPER",\
        "attributes": {\
          "fxId": "ID123"\
        },\
        "conversionRate": 1\
      }\
    ],
    "primaryCurrency": "SHOPPER"
  },
  "currency": "USD",
  "customer": {
    "accountId": "62272e917b12209e68751d94",
    "company": "Demo Inc",
    "email": "test@example.com",
    "employeeId": "62272e917b12209e68751d94",
    "name": {
      "firstName": "Alex",
      "lastName": "Doe",
      "middleName": "E"
    },
    "phone": {
      "number": "123-456-7890",
      "type": "MOBILE"
    },
    "userId": "62272e917b12209e68751d94"
  },
  "discounts": [\
    {\
      "amount": 2.99,\
      "amountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "invoiceQuantity": 10,\
      "promotionCode": "HNY2022",\
      "promotionId": "HNY2022",\
      "promotionName": "New Year",\
      "quantity": 1,\
      "unit": "AMOUNT_OFF",\
      "value": 10\
    }\
  ],
  "employeeId": "43278",
  "erroredFields": [\
    {\
      "amended": false,\
      "errorMessage": "Invalid email address",\
      "fieldName": "shipInfo.shipToAddress.email"\
    }\
  ],
  "feeTotal": 12.34,
  "feeTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "fees": [\
    {\
      "amount": 34.56,\
      "amountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "attributes": {},\
      "currency": "USD",\
      "invoicedAmount": 34.56,\
      "invoicedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "name": "STATE",\
      "rate": 10,\
      "rateType": "PERCENTAGE",\
      "taxCode": "FR01"\
    }\
  ],
  "invoiceTotal": 12.34,
  "invoiceTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "notes": [\
    {\
      "createdAt": "2022-05-12T09:30:31.198Z",\
      "notes": "Fragile - handle with care",\
      "user": "62272e917b12209e68751d94"\
    }\
  ],
  "orderDiscount": 1.23,
  "orderDiscountInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "orderId": "5349b4ddd2781d08c09890f4",
  "orderExternalId": "191763090_O1231",
  "orderReleasedAt": "2022-05-12T09:30:31.198Z",
  "orderSubtotal": 123.45,
  "orderSubtotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "orderTotal": 146.9,
  "orderTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "orderedAt": "2022-05-12T09:30:31.198Z",
  "originalAdjustmentTotal": 123.45,
  "originalAdjustmentTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "originalDiscount": 1.45,
  "originalDiscountInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "originalFeeTotal": 12.34,
  "originalFeeTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "originalOrderTotal": 146.9,
  "originalOrderTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "originalSubtotal": 113.45,
  "originalSubtotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "originalTaxTotal": 12.34,
  "originalTaxTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "payments": [\
    {\
      "attributes": {\
        "captureCurrencyCode": "USD",\
        "payerId": "M7AWTK3YK3B46",\
        "referenceId": "4DY41894J2904533S"\
      },\
      "authorizationAttempts": 0,\
      "authorizedAmount": 123.2,\
      "authorizedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "billToAddress": {\
        "addressLine1": "123 Main St.",\
        "city": "Seattle",\
        "countryCode": "US",\
        "latitude": 47.6205,\
        "longitude": -122.3493,\
        "postalCode": "98121",\
        "region": "WA",\
        "type": "Home",\
        "addressLine2": "Suite 100",\
        "addressLine3": "Seventh floor",\
        "addressLine4": "Attention: Pat E. Kake",\
        "email": "test@example.com",\
        "name": {\
          "firstName": "Alex",\
          "lastName": "Doe",\
          "middleName": "E"\
        },\
        "phone": {\
          "number": "123-456-7890",\
          "type": "MOBILE"\
        }\
      },\
      "chargedAmount": 60,\
      "chargedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "currency": "USD",\
      "isFinalCapture": false,\
      "isPartialCapture": false,\
      "paidAt": "2022-01-27T16:15:58-05:00",\
      "paymentCounter": 1,\
      "paymentIdentifier": {\
        "cardIdentifier": "3456",\
        "expirationMonth": "12",\
        "expirationYear": "2029",\
        "fabricPaymentReference": "f886c96c-5f65-11ed-9b6a-0242ac120002",\
        "paymentId": "62272e917b12209e68751d94"\
      },\
      "paymentLogs": [\
        {\
          "amount": -12.4,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {\
            "key": "value"\
          },\
          "data": {\
            "body": {\
              "attributes": {\
                "key": "value"\
              },\
              "errors": [\
                {\
                  "key": "value"\
                }\
              ],\
              "responseCode": "OK",\
              "status": "Authorized",\
              "transactionId": "328942333412",\
              "transactionTimestamp": "2022-04-10T23:00:45:12.111Z"\
            },\
            "paymentStatusCode": "200"\
          },\
          "id": "328942333412",\
          "paymentId": "328942333412",\
          "paymentLogId": "328942333412",\
          "paymentLogRefId": "328942333412",\
          "status": "Authorized",\
          "type": "REFUND"\
        }\
      ],\
      "paymentMethod": "CREDIT_CARD",\
      "paymentProvider": "stripe",\
      "paymentStatus": "Paid",\
      "paymentToken": {\
        "paymentType": "VISA",\
        "token": "pi_34tr6787rt"\
      },\
      "reauthorizationAttempts": 0,\
      "refundAmount": 21.5,\
      "refundAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ]\
    }\
  ],
  "retail": {
    "cashierId": "C-123",
    "locationNumber": "WH334",
    "registerId": "113",
    "transactionId": "328942333412"
  },
  "returnTotal": 12.34,
  "returnTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "returns": [\
    {\
      "attributes": {\
        "transactionId": "0R12TQ46"\
      },\
      "fees": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "name": "RETURN_FEE",\
          "reason": "Return fee",\
          "type": "FEE"\
        }\
      ],\
      "invoicedAmount": 11.29,\
      "invoicedAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "paymentCounterRefundDetails": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "paymentCounter": 1\
        }\
      ],\
      "refunds": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "name": "RETURN_FEE",\
          "reason": "Return fee",\
          "type": "FEE"\
        }\
      ],\
      "returnCounter": 1,\
      "totalRefundAmount": 11.29,\
      "totalRefundAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ]\
    }\
  ],
  "statusDescription": "Order Created",
  "subtype": "INTERNATIONAL",
  "taxTotal": 12.34,
  "taxTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "type": "WEB",
  "transactionLogs": [\
    {\
      "id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",\
      "type": "<string>",\
      "requestId": "<string>",\
      "requestTime": "2022-04-12T09:30:31.198Z",\
      "attributes": {\
        "attribute": "N",\
        "someFlag": true\
      }\
    }\
  ],
  "updatedAt": "2022-05-12T09:30:31.198Z"
}
{
  "errors": [\
    {\
      "message": "Invalid request",\
      "type": "CLIENT_ERROR"\
    }\
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Order not found",
  "type": "CLIENT_ERROR"
}
{
  "message": "Order can't be cancelled as there is no line item available for cancellation",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

POST

/

orders

/

{orderId}

/

actions

/

cancel

Try it

Cancel order by order ID

cURL

import requests

url = "https://api.fabric.inc/v3/orders/{orderId}/actions/cancel"

response = requests.post(url, json=payload, headers=headers)

print(response.text)



200

400

401

404

412

500

{
  "errors": [\
    {\
      "message": "Invalid request",\
      "type": "CLIENT_ERROR"\
    }\
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Order not found",
  "type": "CLIENT_ERROR"
}
{
  "message": "Order can't be cancelled as there is no line item available for cancellation",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorizations

​

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

​

x-fabric-tenant-id

string

required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.

​

x-fabric-channel-id

string

required

x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.

​

x-fabric-request-id

string

Unique request ID

Path Parameters

​

orderId

string

required

24-character system-generated order ID returned in the response of Create Order - POST /orders endpoint.

Body

application/json

Order cancellation request

​

reasonCode

string

required

Reason code for cancellation, varies from merchant to merchant

Example:

"Incorrect order"

​

attributes

object

Merchant-defined custom attributes. This is a placeholder for additional info (in key-value pairs).

Example:

{ "isPerishable": "false" }

​

employeeId

string

Employee (ID or name) who initiated the order cancellation request

Example:

"12312232"

​

items

object[]

Cancellation request

Show child attributes

​

note

string

Additional notes, if any

Example:

"This is a note"

​

policyCode

string

Merchant-defined policy code, varies from merchant to merchant. If omitted, the default policy is used.

Example:

"RC1"

​

releaseSoftReservation

boolean

​

source

string

Merchant-defined source from where the cancellation request was initiated. There are no pre-defined values; possible values could be Customer Service Representative (CSR), point-of-sale (POS), etc.

Example:

"CSR"

​

subReasonCode

string

Subreason code for order cancellation, for another layer of classification

Example:

"Incorrect specification"

​

requestContext

object

Request reference context information

Show child attributes

Response

200

application/json

OK

An object containing order details.

​

channelId

string

required

Sales channel ID

Example:

"12"

​

items

object[]

required

Item details

Required array length: 1 - 2147483647 elements

Show child attributes

​

orderNumber

string

required

Merchant-defined order identifier. If omitted, this is generated by fabric's sequence generator using Configuration service

Example:

"309019176"

​

shipInfo

object[]

required

Required array length: 1 - 2147483647 elements

Show child attributes

​

statusCode

string

required

Status code. There are no pre-defined values; possible values are - ORDER_ALLOCATED ("Order Allocated"), ORDER_SHIPPED ("Order Shipped"), ORDER_PARTIALLY_SHIPPED ("Order Partially Shipped"), ORDER_PICKED_UP ("Order Picked Up"), ORDER_PARTIALLY_PICKED_UP ("Order Partially Picked Up"), ORDER_DELIVERED ("Order Delivered"), ORDER_PARTIALLY_DELIVERED ("Order Partially Delivered"), ORDER_RETURNED ("Order Returned"), ORDER_HOLD_EXTERNAL ("Order on Hold") etc.

Example:

"ORDER_CREATED"

​

version

integer

required

Current version of order document. Indicates the number of times the order is updated by any operation.

Example:

2

​

adjustmentTotal

number

The total amount of price adjustments for all items of the order.

Example:

123.45

​

adjustmentTotalInCurrencies

object[]

Show child attributes

​

adjustments

object[]

Price adjustments refer to changes or modifications made to the listed price of a product. A Customer Sales Representative (CSR) makes the price adjustments to provide discounts, promotional offers, or coupons that the shopper used.

Show child attributes

​

allocatedAt

string

System-generated order allocation time (UTC) once the order is allocated using Allocation service

Example:

"2022-05-12T09:30:31.198Z"

​

appeasementTotal

number

Final appeasement amount

Example:

12.34

​

appeasementTotalInCurrencies

object[]

Show child attributes

​

appeasements

object[]

Show child attributes

​

attributes

object

Merchant-defined custom attributes. This is a placeholder for additional info (in key-value pairs).

Example:

{
  "fraudCheckStatus": "UPDATED",
  "loyaltyStatus": "N"
}

​

auditLogs

object[]

Show child attributes

​

cancelTotal

number

Amount to be returned after order cancellation, calculated as cancelledQuantity / orderedQuantity * itemTotal

Example:

12.34

​

cancelTotalInCurrencies

object[]

Show child attributes

​

cancellations

object[]

Show child attributes

​

cancelledAt

string

System-generated order cancellation time in UTC. This is returned in the response of Cancel order by ID - POST /orders/{orderId}/actions/cancel or Cancel order by order number - POST /orders/order-number/{orderNumber}/actions/cancel once the order is successfully cancelled.

Example:

"2022-05-12T09:30:31.198Z"

​

cartId

string

Unique cart identifier, either from fabric Cart service or an external Cart service. It is used for linking an order to a specific cart. If available, it is also used for inventory reservation from cart workflow.

Example:

"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"

​

createdAt

string

Order creation time (UTC)

Example:

"2022-05-12T09:30:31.198Z"

​

currencies

object

The supported currency groups you defined.

Show child attributes

​

currency

string

Three-letter currency code as defined by ISO-4217

Example:

"USD"

​

customer

object

Invoice customer

Show child attributes

​

discounts

object[]

Show child attributes

​

employeeId

string

Employee (ID or name) who initiated the request

Example:

"43278"

​

erroredFields

object[]

Show child attributes

​

feeTotal

number

Recalculated total fee, calculated as orderedQuantity* itemFeeTotal

Example:

12.34

​

feeTotalInCurrencies

object[]

Show child attributes

​

fees

object[]

Show child attributes

​

invoiceTotal

number

Total payment captured by fabric Invoice service. If merchant is using third-party service, then this amount will be null. For partial payment scenarios, this value will be different from orderTotal.

Example:

12.34

​

invoiceTotalInCurrencies

object[]

Show child attributes

​

notes

object[]

Show child attributes

​

orderDiscount

number

Recalculated order discount

Example:

1.23

​

orderDiscountInCurrencies

object[]

Show child attributes

​

orderId

string

24-character system-generated order ID

Example:

"5349b4ddd2781d08c09890f4"

​

orderExternalId

string

A merchant-defined external order identifier.

This field is optional and can be used to reference the order in external systems such as an ERP, OMS, or CRM.

Example:

"191763090_O1231"

​

orderReleasedAt

string

Order released time (UTC). When an order is placed, its status is On Hold by default and the duration of hold may vary from merchant to merchant (~1 min). After the hold period, the order is released from hold.

Example:

"2022-05-12T09:30:31.198Z"

​

orderSubtotal

number

Recalculated orderSubtotal - summationOfAll(itemSubTotal)

Example:

123.45

​

orderSubtotalInCurrencies

object[]

Show child attributes

​

orderTotal

number

Total amount to be charged for the order = orderSubTotal - orderDiscountTotal + orderFeeTotal + orderTaxTotal

Example:

146.9

​

orderTotalInCurrencies

object[]

Show child attributes

​

orderedAt

string

Merchant-defined order creation time in UTC. It is mandatory in the request body of Create Order endpoint - POST /orders.

Example:

"2022-05-12T09:30:31.198Z"

​

originalAdjustmentTotal

number

Original adjustment total

Example:

123.45

​

originalAdjustmentTotalInCurrencies

object[]

Show child attributes

​

originalDiscount

number

System-generated total discount, auto-filled by Orders service when the order is placed. This is saved for reference in case the value changes later.

Example:

1.45

​

originalDiscountInCurrencies

object[]

Show child attributes

​

originalFeeTotal

number

System-generated total fees, auto-filled by Orders service when the order is placed.

Example:

12.34

​

originalFeeTotalInCurrencies

object[]

Show child attributes

​

originalOrderTotal

number

System-generated order total, auto-filled by Orders service when the order is placed. This is saved for reference in case the orderTotal changes later.

Example:

146.9

​

originalOrderTotalInCurrencies

object[]

Show child attributes

​

originalSubtotal

number

System-generated order subtotal, auto-filled by Orders service when the order is placed. This is saved for reference in case the value changes later.

Example:

113.45

​

originalSubtotalInCurrencies

object[]

Show child attributes

​

originalTaxTotal

number

System-generated total tax, auto-filled by Orders service when the order is placed.

Example:

12.34

​

originalTaxTotalInCurrencies

object[]

Show child attributes

​

payments

object[]

Show child attributes

​

retail

object

Optionally used as reference, for orders created from Point-of-Sale systems

Show child attributes

​

returnTotal

number

Return total of order, for return scenarios, calculated as summationOfAll(itemReturnTotal)

Example:

12.34

​

returnTotalInCurrencies

object[]

Show child attributes

​

returns

object[]

Show child attributes

​

statusDescription

string

Human-readable brief description based on statusCode

Example:

"Order Created"

​

subtype

enum

Order subtype, for further classification

Available options:

IOS,

ANDROID,

INTERNATIONAL

Example:

"INTERNATIONAL"

​

taxTotal

number

Recalculated total tax on order summationOfAll(itemTaxTotal)+summationOf(tax[].value)

Example:

12.34

​

taxTotalInCurrencies

object[]

Show child attributes

​

type

enum

Order type is critical for the order life cycle as it indicates the workflow. For example, storefront orders have a different workflow than call center orders. fabric Orders service offers standard configurations for storefront, call center, point of sale, iOS, Android, and international.

Available options:

WEB,

CSC,

MOBILE_APP,

POS

Example:

"WEB"

​

transactionLogs

object[]

Show child attributes

​

updatedAt

string

Time of last update to order (UTC)

Example:

"2022-05-12T09:30:31.198Z"

Was this page helpful?

YesNo

Cancel order by order number Cancel order by order identifier

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.